; ##############################################################################
; ##############################################################################
; ##############################################################################
; Dispay 320 x 240																
; KURVE-SPANNUNG aus TWI-EEPROM													
DIAGRAMM_EEPROM_READ_U:
	STS(adr_TASTE),NULL						; Null			
	rcall FARBE_GRUEN
	rcall PUNKTGROESSE_1
	ldi ZL, low(adr_TWI_EEP_DATA_U_MO)		; Zeiger auf U	
	ldi ZH,high(adr_TWI_EEP_DATA_U_MO)
	LDS temp1,(adr_OFFSET_DIAGRAMM_L)		; load			
	LDS temp2,(adr_OFFSET_DIAGRAMM_H)
	add ZL,temp1							; addieren		
	adc ZH,temp2 
	rjmp DIAGRAMM_EEPROM_READ_DETAILS
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Dispay 320 x 240																
; KURVE-SPANNUNG aus TWI-EEPROM													
DIAGRAMM_EEPROM_READ_i:
	STS(adr_TASTE),NULL						; Null			
	rcall FARBE_BLAU
	rcall PUNKTGROESSE_2
	ldi ZL, low(adr_TWI_EEP_DATA_i_MO)		; Zeiger auf i	
	ldi ZH,high(adr_TWI_EEP_DATA_i_MO)
	LDS temp1,(adr_OFFSET_DIAGRAMM_L)		; load			
	LDS temp2,(adr_OFFSET_DIAGRAMM_H)
	add ZL,temp1							; addieren		
	adc ZH,temp2 
	rjmp DIAGRAMM_EEPROM_READ_DETAILS
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Dispay 320 x 240																
; KURVE-LEISTUNG aus TWI-EEPROM													
DIAGRAMM_EEPROM_READ_P:
	rcall FARBE_ROT
	rcall PUNKTGROESSE_3
	ldi ZL, low(adr_TWI_EEP_DATA_P_MO)		; Zeiger auf P	
	ldi ZH,high(adr_TWI_EEP_DATA_P_MO)
	LDS temp1,(adr_OFFSET_DIAGRAMM_L)		; load			
	LDS temp2,(adr_OFFSET_DIAGRAMM_H)
	add ZL,temp1							; addieren		
	adc ZH,temp2 
	rjmp DIAGRAMM_EEPROM_READ_DETAILS
; ##############################################################################
; ##############################################################################
; ##############################################################################
; KURVE-LEISTUNG aus TWI-EEPROM													
DIAGRAMM_EEPROM_READ_DETAILS:
	clr XL
	clr XH
	rcall CALC_X
	ldi temp9,240
;-------------------------------------------------------------------------------
DIAGRAMM_EEPROM_DETAILS_s:
	; abbruch ?						
	LDS temp,(adr_TASTE)			; Taste ?	
	tst temp
	breq DIAGRAMM_EEPROM_DETAILS_s_RUN
	ret
;-------------------------------------------------------------------------------
; Schleife																		
DIAGRAMM_EEPROM_DETAILS_s_RUN:
.equ SCHWELLE=5
	push temp9
DIAGRAMM_EEPROM_DETAILS_P1:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 1								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_P2	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							

DIAGRAMM_EEPROM_DETAILS_P2:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 2								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_P3	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							

DIAGRAMM_EEPROM_DETAILS_P3:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 3								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_P4	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							

DIAGRAMM_EEPROM_DETAILS_P4:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 4								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_P5	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							

DIAGRAMM_EEPROM_DETAILS_P5:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 5								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_P6	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							
DIAGRAMM_EEPROM_DETAILS_P6:
	rcall TWI_EEPROM_READ_Z_TEMP1	; 6								
	cpi temp1,(SCHWELLE)			; Schwelle ?					
	brlo DIAGRAMM_EEPROM_DETAILS_EX	; kleiner						
	mov YL,temp1
	clr YH
	adiw YL,2						; etwas nach oben				
	rcall CALC_Y
	rcall PUNKT_X_Y					; Punkt							
DIAGRAMM_EEPROM_DETAILS_EX:
;-------------------------------------------------------------------------------
	adiw XL,1						; X+1	
	pop temp9
	dec temp9
	brne DIAGRAMM_EEPROM_DETAILS_s
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################














