; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "255"																		
ZAHL_TEMP1:
	clr temp2
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASCII_TEMP1_4
	; Nullstellenunterdrckung	
	cpi temp3,'0'
	brne ZAHL_TEMP1_RUN
	ldi temp3,' '
	cpi temp2,'0'
	brne ZAHL_TEMP1_RUN
	ldi temp2,' '
;-------------------------------------------------------------------------------
ZAHL_TEMP1_RUN:
	mov temp,temp3
	rcall TFT_DATA_TEMP
	mov temp,temp2
	rcall TFT_DATA_TEMP
	mov temp,temp1
	rcall TFT_DATA_TEMP
	rcall ASCII_SPACE
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "20,0" ohne Space														
ZAHL_KOMMA_TEMP1:
	clr temp2
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASCII_TEMP1_4
	; Nullstellenunterdrckung	
	cpi temp3,'0'
	brne ZAHL_KOMMA_TEMP1_RUN
	ldi temp3,' '
;-------------------------------------------------------------------------------
ZAHL_KOMMA_TEMP1_RUN:
	mov temp,temp3
	rcall TFT_DATA_TEMP
	mov temp,temp2
	rcall TFT_DATA_TEMP
	rcall ASCII_KOMMA
	mov temp,temp1
	rcall TFT_DATA_TEMP
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "01"																		
ZAHL2_TEMP1:
	clr temp2
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASCII_TEMP1_4
	mov temp,temp2
	rcall TFT_DATA_TEMP
	mov temp,temp1
	rcall TFT_DATA_TEMP
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B: "12.345"																	
ZAHL_TEMP1_2:
	clr temp3
	clr temp4
	rcall FUNKTION_HEX_ASCII_TEMP1_4
	; Nullstellenunterdrckung	
	cpi temp5,'0'
	brne ZAHL_TEMP1_2_RUN
	ldi temp5,' '
	cpi temp4,'0'
	brne ZAHL_TEMP1_2_RUN
	ldi temp4,' '
	cpi temp3,'0'
	brne ZAHL_TEMP1_2_RUN
	ldi temp3,' '
	cpi temp2,'0'
	brne ZAHL_TEMP1_2_RUN
	ldi temp2,' '
;-------------------------------------------------------------------------------
ZAHL_TEMP1_2_RUN:
	mov temp,temp5
	rcall TFT_DATA_TEMP
	mov temp,temp4
	rcall TFT_DATA_TEMP
	; 1000er-Trennzeichen	
	cpi temp4,' '
	ldi temp9,' '
	breq ZAHL_TEMP1_2_no_PKT
	ldi temp9,'.'
ZAHL_TEMP1_2_no_PKT:
	mov temp,temp9
	rcall TFT_DATA_TEMP

	mov temp,temp3
	rcall TFT_DATA_TEMP
	mov temp,temp2
	rcall TFT_DATA_TEMP
	mov temp,temp1
	rcall TFT_DATA_TEMP
	rcall ASCII_SPACE
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Version 10/2017																
;																				
;	Value: 0...	4.294.967.295													
;																				
;	INPUT: 	temp1	(BYTE1)														
;	 		temp2	(BYTE2)														
;			temp3	(BYTE3)														
;			temp4	(BYTE4)														
;																				
;	OUTPUT:	temp1	(		    1-er Stelle)									
;			temp2	(		   10-er Stelle)									
;			temp3	(         100-er Stelle)									
;			temp4	(       1.000-er Stelle)									
;			temp5	(      10.000-er Stelle)									
;			temp6	(     100.000-er Stelle)									
;			temp7	(   1.000.000-er Stelle)									
;			temp8	(  10.000.000-er Stelle)									
;			temp9	( 100.000.000-er Stelle)									
; 			R0		(1.000.000.000-er Stelle)									
FUNKTION_HEX_ASCII_TEMP1_4:
	clr temp
FUNKTION_HEX_ASC_1000000000:; 100.000.000
	inc temp
	subi temp1, BYTE1    (1000000000)
	sbci temp2, BYTE2    (1000000000)
	sbci temp3, BYTE3    (1000000000)
	sbci temp4, BYTE4    (1000000000)
	brcc FUNKTION_HEX_ASC_1000000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird R0) auf dem Stack sichern            
	subi temp1, BYTE1   (-1000000000)
	sbci temp2, BYTE2   (-1000000000)
	sbci temp3, BYTE3   (-1000000000)
	sbci temp4, BYTE4   (-1000000000)

	clr temp
FUNKTION_HEX_ASC_100000000:; 100.000.000
	inc temp
	subi temp1, BYTE1    (100000000)
	sbci temp2, BYTE2    (100000000)
	sbci temp3, BYTE3    (100000000)
	sbci temp4, BYTE4    (100000000)
	brcc FUNKTION_HEX_ASC_100000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp9) auf dem Stack sichern            
	subi temp1, BYTE1   (-100000000)
	sbci temp2, BYTE2   (-100000000)
	sbci temp3, BYTE3   (-100000000)
	sbci temp4, BYTE4   (-100000000)
	clr temp
FUNKTION_HEX_ASC_10000000:; 10.000.000
	inc temp
	subi temp1, BYTE1    (10000000)
	sbci temp2, BYTE2    (10000000)
	sbci temp3, BYTE3    (10000000)
	sbci temp4, BYTE4    (10000000)
	brcc FUNKTION_HEX_ASC_10000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp8) auf dem Stack sichern            
	subi temp1, BYTE1   (-10000000)
	sbci temp2, BYTE2   (-10000000)
	sbci temp3, BYTE3   (-10000000)
	sbci temp4, BYTE4   (-10000000)
	clr temp
FUNKTION_HEX_ASC_1000000:; 1.000.000
	inc temp
	subi temp1, BYTE1    (1000000)
	sbci temp2, BYTE2    (1000000)
	sbci temp3, BYTE3    (1000000)
	brcc FUNKTION_HEX_ASC_1000000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp7) auf dem Stack sichern            
	subi temp1, BYTE1   (-1000000)
	sbci temp2, BYTE2   (-1000000)
	sbci temp3, BYTE3   (-1000000)
	clr temp
FUNKTION_HEX_ASC_100000:
	inc temp
	subi temp1, BYTE1    (100000)
	sbci temp2, BYTE2    (100000)
	sbci temp3, BYTE3    (100000)
	brcc FUNKTION_HEX_ASC_100000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp6) auf dem Stack sichern            
	subi temp1, BYTE1   (-100000)
	sbci temp2, BYTE2   (-100000)
	sbci temp3, BYTE3   (-100000)
	clr temp
FUNKTION_HEX_ASC_10000:
	inc temp
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	sbci temp3, BYTE3    (10000)
	brcc FUNKTION_HEX_ASC_10000
	dec  temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp5) auf dem Stack sichern            
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	sbci temp3, BYTE3  (-10000)
	clr temp
FUNKTION_HEX_ASC_1000:
	inc temp
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNKTION_HEX_ASC_1000
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp4) auf dem Stack sichern            
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
	clr temp
FUNKTION_HEX_ASC_100:
	inc temp
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNKTION_HEX_ASC_100
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp3) auf dem Stack sichern            
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
	clr temp
FUNKTION_HEX_ASC_10:
	inc temp
	subi temp1, low  (10)
	sbci temp2, HIGH (10)
	brcc FUNKTION_HEX_ASC_10
	dec temp
	subi temp, -48		; HEX->ASC
	push temp           ; temp (wird temp2) auf dem Stack sichern            
	subi temp1, low  (-10)
	sbci temp2, HIGH (-10)
FUNKTION_HEX_ASC_1:	
	subi temp1, -48		; HEX->ASC

	pop	TEMP2			; LESEN vom STACK (KOPIE)
	pop	TEMP3			; LESEN vom STACK (KOPIE)
	pop	TEMP4			; LESEN vom STACK (KOPIE)
	pop	TEMP5			; LESEN vom STACK (KOPIE)
	pop	TEMP6			; LESEN vom STACK (KOPIE)
	pop	TEMP7			; LESEN vom STACK (KOPIE)
	pop	TEMP8			; LESEN vom STACK (KOPIE)
	pop	TEMP9			; LESEN vom STACK (KOPIE)
	pop R0
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; z.B. "02"																		
; bei NULL, grau																
HEX_TEMP1:
	tst temp1				; Null ?
	brne HEX_TEMP1_RUN		; Farbe	
	rcall FARBE_DUNKEL_GRAU
;-------------------------------------------------------------------------------
HEX_TEMP1_RUN:
	push temp1
	mov temp,temp1
	swap temp
	andi temp,0b00001111
	rcall HEX_TEMP
	mov temp1,temp

	pop temp2
	mov temp,temp2
	andi temp,0b00001111
	rcall HEX_TEMP
	mov temp2,temp
	ret
;-------------------------------------------------------------------------------
HEX_TEMP:
cpi temp,0
	breq HEX_00
cpi temp,1
	breq HEX_01
cpi temp,2
	breq HEX_02
cpi temp,3
	breq HEX_03
cpi temp,4
	breq HEX_04
cpi temp,5
	breq HEX_05
cpi temp,6
	breq HEX_06
cpi temp,7
	breq HEX_07
cpi temp,8
	breq HEX_08
cpi temp,9
	breq HEX_09
cpi temp,10
	breq HEX_A
cpi temp,11
	breq HEX_B
cpi temp,12
	breq HEX_C
cpi temp,13
	breq HEX_D
cpi temp,14
	breq HEX_E
cpi temp,15
	rjmp HEX_F
;-------------------------------------------------------------------------------
; unteres Nibble																
HEX_00:
	ldi temp,('0')
	rjmp TFT_DATA_TEMP
HEX_01:
	ldi temp,('1')
	rjmp TFT_DATA_TEMP
HEX_02:
	ldi temp,('2')
	rjmp TFT_DATA_TEMP
HEX_03:
	ldi temp,('3')
	rjmp TFT_DATA_TEMP
HEX_04:
	ldi temp,('4')
	rjmp TFT_DATA_TEMP
HEX_05:
	ldi temp,('5')
	rjmp TFT_DATA_TEMP
HEX_06:
	ldi temp,('6')
	rjmp TFT_DATA_TEMP
HEX_07:
	ldi temp,('7')
	rjmp TFT_DATA_TEMP
HEX_08:
	ldi temp,('8')
	rjmp TFT_DATA_TEMP
HEX_09:
	ldi temp,('9')
	rjmp TFT_DATA_TEMP
HEX_A:
	ldi temp,('A')
	rjmp TFT_DATA_TEMP
HEX_B:
	ldi temp,('B')
	rjmp TFT_DATA_TEMP
HEX_C:
	ldi temp,('C')
	rjmp TFT_DATA_TEMP
HEX_D:
	ldi temp,('D')
	rjmp TFT_DATA_TEMP
HEX_E:
	ldi temp,('E')
	rjmp TFT_DATA_TEMP
HEX_F:
	ldi temp,('F')
	rjmp TFT_DATA_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "0000001"																		
BIN_TEMP1:
	sbrc temp1,7	
	rcall ASCII_STERN
	sbrs temp1,7
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,6	
	rcall ASCII_STERN
	sbrs temp1,6
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,5	
	rcall ASCII_STERN
	sbrs temp1,5
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,4	
	rcall ASCII_STERN
	sbrs temp1,4
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,3	
	rcall ASCII_STERN
	sbrs temp1,3
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,2	
	rcall ASCII_STERN
	sbrs temp1,2
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,1	
	rcall ASCII_STERN
	sbrs temp1,1
	rcall ASCII_PUNKT
;-------------------------------------------------------------------------------
	sbrc temp1,0	
	rcall ASCII_STERN
	sbrs temp1,0
	rcall ASCII_PUNKT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

